<template>
  <div class="rui-toolbars" :class="componentCSS">
    <slot />
  </div>
</template>

<script>

/**
 * Wrapper to display multiple `RuiToolbar` on a sigle line
 *
 * @noPlayground Check examples instead
 */
export default {
  name: 'RuiToolbars',
  props: {
    /** Whether to add padding to content */
    container: { required: false, type: Boolean, default: false },
  },
  computed: {
    componentCSS () {
      return [
        this.container && 'rui-toolbars--container',
      ]
    },
  },
}
</script>
